Tecnologia e non solo

maggio 10, 2010

Debian Sid/Squeeze Amarok2 e Synaptic

Filed under: Debian — telperion @ 2:29 pm

Attenzione se usate phonon con backend xine gli aggiornamenti

libphonon4 (4:4.6.0really4.4.0-4) to 4:4.6.0really4.4.1-2
phonon (4:4.6.0really4.4.0-4) to 4:4.6.0really4.4.1-2
phonon-backend-xine (4:4.6.0really4.4.0-4) to 4:4.6.0really4.4.1-2

ridurranno al silenzio Amarok2, e l’unico suono sarà quelli delle vostre imprecazioni …

Se avete già fatto il danno, potete recuperare i vecchi deb qui.

AGGIORNAMENTO.
Da giovedi 10 giugno tutto ok anche con phonon 4:4.6.0really4.4.1-2

Synaptic invece quando date applica non esegue col seguente errore:

E: Impossibile analizzare il file di pacchetto /var/lib/apt/lists/http.us.debian.org_debian_dists_squeeze_main_i18n_Translation-it (2)
E: Impossibile bloccare la directory di scaricamento

L’escabotage per rifarlo andare è lanciarlo con la lingua inglese LANG=C
ad esempio cambiando la voce del menu in

gksu LANG=C synaptic


Uploaded with ImageShack.us

partirà così in inglese, ma almeno funziona.

😛

Annunci

10 commenti

  1. La causa dell’errore di Synaptic? Si sa?

    Commento di Bl@ster — maggio 10, 2010 @ 4:27 pm

    • Boh, io ci capisco poco sul gestore bug debian, se tu sei pratico magari segnalato.

      Commento di telperion — maggio 10, 2010 @ 5:02 pm

  2. grazie mille della guida, mi è stata molto utile…. con synaptic ho risolto…

    avrei però bisogno di un aiutino…. non sò come reinstallare i 3 pacchetti per amarok… appena provo ad installarli mi dice che (ovviamente) è già installata una versione più nuova… e non mi fa andare avanti, sia con gdebi che con dpkg

    Commento di mustangtux — maggio 15, 2010 @ 2:26 pm

    • Nella cartella dove hai salvato i 3 pacchetti
      (e verifica ci siano solo quelli come file .deb nella cartella)
      da terminale:

      sudo dpkg -i *.deb

      o da su se non usi sudo

      Commento di telperion — maggio 15, 2010 @ 2:30 pm

      • mi da lo stesso errore che avevo prima (sempre usando dpkg):

        dpkg: informazioni su phonon-backend-null_4.2.0-2_all.deb che contiene phonon-backend-null:
        phonon-backend-null è in conflitto con phonon-backend
        phonon-backend-xine fornisce phonon-backend, è presente e installato.
        dpkg: errore nell’elaborare phonon-backend-null_4.2.0-2_all.deb (–install):
        pacchetti in conflitto – phonon-backend-null non verrà installato

        Commento di mustangtux — maggio 15, 2010 @ 3:51 pm

      • Forse devi scaricarti anche
        phonon-backend-null_4.6.0really4.4.0-4_all.deb

        io phonon-backend-null non lo avevo installato.

        Comunque i file *4.6.0really4.4.0-4 sono per squeeze/sid.
        phonon-backend-null (4:4.2.0-2) è un pacchetto di lenny.

        http://packages.debian.org/lenny/phonon-backend-null

        Sei sicuro di quel che stai facendo?

        Commento di telperion — maggio 15, 2010 @ 5:15 pm

  3. Amico riguardo amarok, phonom e pulseaudio:
    Prova a cancellare
    ~/.pulse ~/.pulse-cookie
    e riavviare pulse (pulseaudio -vvv).
    A me funziona, ora provo un reboot 😀

    Commento di imu — maggio 29, 2010 @ 11:01 am

  4. Come non detto, al reboot tutto muto 😀

    Commento di imu — maggio 29, 2010 @ 11:12 am

    • Ciao imu, a me tutt’ora funziona tutto perfettamente con 4:4.6.0really4.4.0-4
      sia su 32 che su 64 bit, con l’altra versione amarok muto.
      Strano che ancora non abbiano corretto, possibile che capita solo a 2 gatti?!

      Commento di telperion — maggio 29, 2010 @ 5:02 pm

      • da giovedi 10 giugno tutto ok anche con phonon 4:4.6.0really4.4.1-2

        Commento di telperion — giugno 10, 2010 @ 3:00 pm


RSS feed for comments on this post.

%d blogger hanno fatto clic su Mi Piace per questo: